# sc::MP2R12Energy Class Reference

Class MP2R12Energy is the object that computes and maintains MP2-R12 energies. More...

`#include <mp2r12_energy.h>`

Inheritance diagram for sc::MP2R12Energy:

List of all members.

## Public Member Functions

| MP2R12Energy (StateIn &)
| MP2R12Energy (Ref< R12IntEval > &r12eval, LinearR12::StandardApproximation stdapp, int debug)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void | obsolete ()
void | print (std::ostream &o=ExEnv::out0()) const
| Print the object.
void | print_pair_energies (bool spinadapted, std::ostream &so=ExEnv::out0())
Ref< R12IntEval > | r12eval () const
LinearR12::StandardApproximation | stdapp () const
bool | gbc () const
| Returns whether Generalized Brillouin Condition (GBC) was used in evaluation of the MP2-R12 intermediates.
bool | ebc () const
| Returns whether Extended Brillouin Condition (EBC) was used in evaluation of the MP2-R12 intermediates and the MP2-R12 energy.
void | set_debug (int debug)
int | get_debug () const
RefSCDimension | dim_aa () const
RefSCDimension | dim_ab () const
RefSCDimension | dim_s () const
RefSCDimension | dim_t () const
void | compute ()
| Computes the first-order R12 wave function and MP2-R12 energy.
double | compute_pair_function_aa (int ij, const SCVector3 &r1, const SCVector3 &r2)
| Computes the value of the alpha-alpha pair function ij when electrons 1 and 2 reside at r1 and r2.
double | compute_pair_function_ab (int ij, const SCVector3 &r1, const SCVector3 &r2)
| Computes the value of the alpha-beta pair function ij when electrons 1 and 2 reside at r1 and r2.
void | compute_pair_function_aa (int ij, const Ref< TwoBodyGrid > &tbgrid)
| Computes values of the alpha-alpha pair function ij on tbgrid.
void | compute_pair_function_ab (int ij, const Ref< TwoBodyGrid > &tbgrid)
| Computes values of the alpha-beta pair function ij on tbgrid.
RefSCVector | emp2_aa () const
| Returns the vector of MP2 alpha-alpha pair energies.
RefSCVector | emp2_ab () const
| Returns the vector of MP2 alpha-beta pair energies.
RefSCVector | er12_aa () const
| Returns the vector of R12 corrections to MP2-R12 alpha-alpha pair energies.
RefSCVector | er12_ab () const
| Returns the vector of R12 correction to MP2-R12 alpha-beta pair energies.
RefSCVector | emp2r12_aa () const
| Returns the vector of MP2-R12 alpha-alpha pair energies.
RefSCVector | emp2r12_ab () const
| Returns the vector of MP2-R12 alpha-beta pair energies.
double | energy ()
| Returns total MP2-R12 correlation energy.
RefSCMatrix | C_aa ()
| Returns the matrix of amplitudes of alpha-alpha r12-multiplied occupied orbital pairs in the first-order pair function.
RefSCMatrix | C_ab ()
| Returns the matrix of amplitudes of alpha-beta r12-multiplied occupied orbital pairs in the first-order pair function.
RefSCMatrix | T2_aa ()
| Returns the matrix of amplitudes of alpha-alpha virtuals orbital pairs in the first-order pair function.
RefSCMatrix | T2_ab ()
| Returns the matrix of amplitudes of alpha-beta virtuals orbital pairs in the first-order pair function.

## Detailed Description

Class MP2R12Energy is the object that computes and maintains MP2-R12 energies.

## Member Function Documentation

void sc::MP2R12Energy::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::SavableState.

The documentation for this class was generated from the following file:

- mp2r12_energy.h